<div ng-controller="EditTaskController as vm">
    <div class="col-lg-6 col-lg-offset-3">
        <form name="formEditTask" class="form-horizontal form-validation" data-ng-submit="vm.submitForm()">
            <div class="form-group">
                <div class="col-sm-3">
                    <label for="taskName"> Compromisso </label>
                </div>
                <div class="col-sm-9">
                    <input  type="text"
                            id="taskName"
                            class="form-control"
                            ng-model="vm.editTask.name"
                            required>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-3">
                    <label for=""> Data </label>
                </div>
                <div class="col-sm-9">
                    <input type="text"
                           ng-model="vm.editTask.dueDate"
                           class="form-control"
                           ui-date-mask
                           placeholder="DD/MM/AAAA">
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-3">
                    <label for=""> Hora </label>
                </div>
                <div class="col-sm-9">
                    <input ng-model="vm.editingTime"
                           placeholder="HH:mm"
                           ui-time-mask="short"
                           class="form-control"
                           type="text">
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-3">
                    <label> Informações </label>
                </div>
                <div class="col-sm-9">
                    <textarea ng-model="vm.editTask.info"
                              class="form-control"
                              rows="3"></textarea>
                </div>
            </div>
            <button type="submit"
                    ui-wave
                    class="btn btn-primary btn-block"
                    data-ng-disabled="!vm.canSubmit()"> <span data-translate="SAVE"></span> </button>
            <div class="divider"></div>
            <button type="reset"
                    ui-wave
                    class="btn btn-danger pull-right"
                    ng-click="vm.cancel()">
                <span data-translate="CANCEL"></span></button>
        </form>
    </div>
</div>
